Upsert space as code
Create or update a space and its direct access policy from code
Authentication: personal access token. The spec defines an api_key security
scheme — send an Authorization: ApiKey <your-personal-access-token> header
(value format: ApiKey <your key>). A session_cookie scheme (connect.sid)
exists for browser sessions. Operations in this spec declare security: [], an
artifact of the upstream spec generator — authentication is still enforced by the
server.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
projectUuid | string | Yes |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
skipSpaceCreate | boolean | No | |
publicSpaceCreate | boolean | No |
Request body
{
"access": {
"groups": [
{
"role": "viewer",
"name": "string"
}
],
"users": [
{
"role": "viewer",
"email": "string"
}
],
"projectMemberAccessRole": {},
"inheritParentPermissions": true
},
"slug": "string",
"spaceName": "string",
"version": 1,
"contentType": "space"
}Responses
200 — Success
{
"results": {
"warnings": [
"string"
],
"action": "CREATE"
},
"status": "ok"
}default — Error
{
"error": {
"data": "string",
"message": "string",
"name": "string",
"statusCode": 0
},
"status": "error"
}